#ifndef __ARROW_SPRITE_GFX_H__
#define __ARROW_SPRITE_GFX_H__
#include "intro_sprite_gfx.h"

#define ARROW_SPRITE_PALETTE_SLOT 1
#define ARROW_SPRITE_PALETTE_SIZE 5

/* Index en terme de WORD  partir duquel stocker en mmoire */
/* graphique les tiles formant le sprite de "flche".        */
#define ARROW_SPRITE_LOADING_OFFSET \
   ((INTRO_SPRITE_LOADING_OFFSET) + (((INTRO_SPRITE_NB_TILES) * 32) / 2))
#define ARROW_SPRITE_NB_TILES 4

/* Index auquel trouver la premire tile du sprite de "flche". */
#define ARROW_SPRITE_TILE_INDEX \
   (INTRO_SPRITE_RELEASED_TILE_INDEX + INTRO_SPRITE_NB_TILES)

#define ARROW_SPRITE_X (21 *8)
#define ARROW_SPRITE_CONTINUE_Y (4 * 8)
#define ARROW_SPRITE_RETRY_Y (10 * 8)
#define ARROW_SPRITE_ABANDON_Y (16 * 8)

extern const u16 arrow_sprite_palette[ARROW_SPRITE_PALETTE_SIZE]
  __attribute__ ((section (".rodata"))) ;
extern const u8 arrow_sprite_tiles[ARROW_SPRITE_NB_TILES * 32]
  __attribute__ ((section (".rodata"))) ;


#endif
