#ifndef __LAYOUT_H__
#define __LAYOUT_H__

#define Area_board_TOP_X 3
#define Area_board_TOP_Y 2

#define Area_Select_Shape_Square_1x1_X 22
#define Area_Select_Shape_Square_1x1_Y 4
#define Area_Remaining_Shape_Square_1x1_X 27
#define Area_Remaining_Shape_Square_1x1_Y 4

#define Area_Select_Shape_Square_4x4_X 22
#define Area_Select_Shape_Square_4x4_Y 9
#define Area_Remaining_Shape_Square_4x4_X 27
#define Area_Remaining_Shape_Square_4x4_Y 9

#define Area_Select_Shape_Long_X 22
#define Area_Select_Shape_Long_Y 15
#define Area_Remaining_Shape_Long_X 27
#define Area_Remaining_Shape_Long_Y 14

#define Area_Select_Shape_Junction_X 22
#define Area_Select_Shape_Junction_Y 1
#define Area_Remaining_Shape_Junction_X 27
#define Area_Remaining_Shape_Junction_Y 1

#define Area_Select_Shape_Stair_1_X 22
#define Area_Select_Shape_Stair_1_Y 6
#define Area_Remaining_Shape_Stair_1_X 27
#define Area_Remaining_Shape_Stair_1_Y 6

#define Area_Select_Shape_Stair_2_X 22
#define Area_Select_Shape_Stair_2_Y 12
#define Area_Remaining_Shape_Stair_2_X 27
#define Area_Remaining_Shape_Stair_2_Y 12

#define Area_Select_Shape_Corner_X 22
#define Area_Select_Shape_Corner_Y 17
#define Area_Remaining_Shape_Corner_X 27
#define Area_Remaining_Shape_Corner_Y 17

void small_print (u16, u16, const unsigned char*) ;
void setup_board_graphics (void) ;
void refresh_player_cursor (struct game*) ;
void initial_board_refresh (struct game*) ;
void refresh_elapsed_time (void) ;
void refresh_shape_count (struct game*, enum shape) ;
void hide_player_sprites (void) ;
void restore_game_palette (void) ;
void init_persistent_sprites_data (void) ;
void shake_player_shape (struct game*) ;
void mag_min_player_shape (struct game*) ;

#endif
