#ifndef __INTRO_SPRITE_GFX_H__
#define __INTRO_SPRITE_GFX_H__

#define INTRO_SPRITE_PALETTE_SLOT 0
#define INTRO_SPRITE_PALETTE_SIZE 5

#define INTRO_SPRITE_LOADING_OFFSET 0
#define INTRO_SPRITE_NB_TILES 32
#define INTRO_SPRITE_RELEASED_TILE_INDEX 0
#define INTRO_SPRITE_PRESSED_TILE_INDEX 16
#define INTRO_SPRITE_X 200 
#define INTRO_SPRITE_Y 120

extern const u16 intro_sprite_palette[INTRO_SPRITE_PALETTE_SIZE]
  __attribute__ ((section (".rodata"))) ;
extern const u8 intro_sprite_tiles[INTRO_SPRITE_NB_TILES * 32]
  __attribute__ ((section (".rodata"))) ;

#endif
