#include <stdio.h>
#include <stdlib.h>
#include "shapes.h"
#include "make_data.h"


int main ()
{
  struct chain_code *cc=NULL ;
  int i ;

  printf ("/* ** cc_Shape_Square_1x1 */\n") ;
  cc = copy_shape ((struct chain_code*) &cc_Shape_Square_1x1) ;
  for (i = 0; i < 4; i++) {
    printf ("/* $$ %d * 90 */\n", i) ;
    print_shape (cc) ;
    gen_chain_code_c_source ("cc_Shape_Square_1x1", cc) ;
    shape_rotate_90 (cc) ;
  }

  printf ("/* ** cc_Shape_Square_4x4 */\n") ;
  cc = copy_shape ((struct chain_code*) &cc_Shape_Square_4x4) ;
  for (i = 0; i < 4; i++) {
    printf ("/* $$ %d * 90 */\n", i) ;
    print_shape (cc) ;
    gen_chain_code_c_source ("cc_Shape_Square_4x4", cc) ;
    shape_rotate_90 (cc) ;
  }

  printf ("/* ** cc_Shape_Long */\n") ;
  cc = copy_shape ((struct chain_code*) &cc_Shape_Long) ;
  for (i = 0; i < 4; i++) {
    printf ("/* $$ %d * 90 */\n", i) ;
    print_shape (cc) ;
    gen_chain_code_c_source ("cc_Shape_Long", cc) ;
    shape_rotate_90 (cc) ;
  }

  printf ("/* ** cc_Shape_Junction */\n") ;
  cc = copy_shape ((struct chain_code*) &cc_Shape_Junction) ;
  for (i = 0; i < 4; i++) {
    printf ("/* $$ %d * 90 */\n", i) ;
    print_shape (cc) ;
    gen_chain_code_c_source ("cc_Shape_Junction", cc) ;
    shape_rotate_90 (cc) ;
  }

  printf ("/* ** cc_Shape_Stair_1 */\n") ;
  cc = copy_shape ((struct chain_code*) &cc_Shape_Stair_1) ;
  for (i = 0; i < 4; i++) {
    printf ("/* $$ %d * 90 */\n", i) ;
    print_shape (cc) ;
    gen_chain_code_c_source ("cc_Shape_Stair_1", cc) ;
    shape_rotate_90 (cc) ;
  }


  printf ("/* ** cc_Shape_Stair_2 */\n") ;
  cc = copy_shape ((struct chain_code*) &cc_Shape_Stair_2) ;
  for (i = 0; i < 4; i++) {
    printf ("/* $$ %d * 90 */\n", i) ;
    print_shape (cc) ;
    gen_chain_code_c_source ("cc_Shape_Stair_2", cc) ;
    shape_rotate_90 (cc) ;
  }

  free_shape (cc) ;
}
