#include <stdlib.h>
#include <string.h>
#include "shapes.h"




struct chain_code* copy_shape (struct chain_code *original)
{
  unsigned short i ;
  struct chain_code *copy ;

  copy  = (struct chain_code*) malloc (sizeof (struct chain_code)) ;
  if (copy == NULL) return (NULL) ;
  copy->codes =
    (struct deltas*) malloc (original->length * sizeof (struct deltas)) ;
  if (copy->codes == NULL) {
    free (copy) ;
    return (NULL) ;
  }
  copy->length = original->length ;
  for (i = 0; i < original->length; i++) {
    copy->codes[i].x_delta = original->codes[i].x_delta ;
    copy->codes[i].y_delta = original->codes[i].y_delta ;
  }
  return (copy) ;
}





void free_shape (struct chain_code *shape)
{
  if (shape != NULL) {
    if (shape->codes != NULL) free (shape->codes) ;
    free (shape) ;
  }
}
