#ifndef __EYES_SPRITE_GFX_H__
#define __EYES_SPRITE_GFX_H__

#define EYES_SPRITE_PALETTE_SLOT 3
#define EYES_SPRITE_PALETTE_SIZE 16

#define EYES_SPRITE_LOADING_OFFSET \
    ((FINGER_SPRITE_LOADING_OFFSET) + (((FINGER_SPRITE_NB_TILES) * 32) / 2))
#define EYES_SPRITE_NB_TILES 24

#define NB_TILES_PER_EYE 8

#define EYES_SPRITE_LEFT_TILE_INDEX \
    (FINGER_SPRITE_TILE_INDEX + FINGER_SPRITE_NB_TILES)
#define EYES_SPRITE_CENTER_TILE_INDEX \
    (EYES_SPRITE_LEFT_TILE_INDEX + NB_TILES_PER_EYE)
#define EYES_SPRITE_RIGHT_TILE_INDEX \
    (EYES_SPRITE_CENTER_TILE_INDEX + NB_TILES_PER_EYE)


/* Le dernier sprite est toujours rserv pour l'anim des yeux. */
#define RESERVED_EYES_SPRITE_INDEX 127

extern const u16 eyes_sprite_palette[EYES_SPRITE_PALETTE_SIZE]
  __attribute__ ((section (".rodata"))) ;

extern const u8 eyes_sprite_tiles[EYES_SPRITE_NB_TILES * 32]
 __attribute__ ((section (".rodata"))) ;

#endif
