#ifndef __FINGER_SPRITE_GFX_H__
#define __FINGER_SPRITE_GFX_H__
#include "finger_sprite_gfx.h"


#define FINGER_SPRITE_PALETTE_SLOT 2
#define FINGER_SPRITE_PALETTE_SIZE 16

/* Index en terme de WORD  partir duquel stocker en mmoire */
/* graphique les tiles formant le sprite de "doigt".         */
#define FINGER_SPRITE_LOADING_OFFSET \
  ((ARROW_SPRITE_LOADING_OFFSET) + (((ARROW_SPRITE_NB_TILES) * 32) / 2))
#define FINGER_SPRITE_NB_TILES 16

/* Index auquel trouver la premire tile du sprite de "doigt". */
#define FINGER_SPRITE_TILE_INDEX \
   ((ARROW_SPRITE_TILE_INDEX) + (ARROW_SPRITE_NB_TILES))

extern const u16 finger_sprite_palette[FINGER_SPRITE_PALETTE_SIZE]
  __attribute__ ((section (".rodata"))) ;
extern const u8 finger_sprite_tiles[FINGER_SPRITE_NB_TILES * 32]
  __attribute__ ((section (".rodata"))) ;

#endif
